
public class Workflow 
{
	private IEtape[] Etapes;
	
	private IAfficheur Afficheur;
	
	public Workflow(IEtape[] ListeEtapes, IAfficheur aff)
	{
		Etapes = ListeEtapes;
		Afficheur = aff;
	}
	
	public void Demarrer()
	{
		for (int i=0; i<Etapes.length; i++)
		{
			String Resultat = Etapes[i].Executer();
			Afficheur.Afficher(Resultat);
		}
	}
}
